/*******************************************************/
/* Before running, SET LANG= to the correct language.  */
/* It may already be correctly set in your CONFIG.SYS. */
/* For examples:                                       */
/* SET LANG=ar_AA for Arabic                           */
/* SET LANG=pt_BR for Brazil                           */
/* SET LANG=zh_CN for Simplified Chinese               */
/* SET LANG=de_DE for Germany                          */
/* SET LANG=da_DK for Denmark                          */
/* SET LANG=es_ES for Spain                            */
/* SET LANG=el_GR for Greece                           */
/* SET LANG=fi_FI for Finland                          */
/* SET LANG=fr_FR for France                           */
/* SET LANG=iw_IL for Israel                           */
/* SET LANG=it_IT for Italy                            */
/* SET LANG=ja_JP for Japan                            */
/* SET LANG=ko_KR for Korea                            */
/* SET LANG=nl_NL for Netherlands                      */
/* SET LANG=no_NO for Norway                           */
/* SET LANG=sv_SE for Sweden                           */
/* SET LANG=zh_TW for Taiwan                           */
/* SET LANG=en_US for English (default)                */
/*******************************************************/

call RxFuncAdd 'SysLoadFuncs' , 'REXXUTIL', 'SysLoadFuncs'
call SysLoadFuncs

env = 'OS2ENVIRONMENT'
lang = value('LANG',,env)
nlv = SubStr(lang,4)
if nlv = '' then nlv = 'en'
parse source one two me
srcPath = filespec('Drive', me) || filespec('Path', me)
files = srcPath || nlv || '\*.*'
if stream(files, 'c', 'query exists') = ''
  then nlv = 'en'

srcName = filespec('Name', me)
parse upper value VALUE("PATH",,env) with "\OS2\SYSTEM" -2 BOOTDRIVE +2

if filespec('Drive', srcPath) \= strip(srcPath, 'T', '\')
  then srcDir = strip(srcPath, 'T', '\')
  else srcDir = srcPath

/* DSPINSTL decides to remove SVGADATA.PMI, save it to put it back */
'@copy ' || BOOTDRIVE || '\OS2\svgadata.pmi ' || BOOTDRIVE || '\OS2\svgadata.sdd > nul'

'@dspinstl.exe /s:' || srcDir || ' /t:' || BOOTDRIVE || ' /pd:SDDNLV.DSC'

/* Put back the saved SVGADATA.PMI */
'@copy ' || BOOTDRIVE || '\OS2\svgadata.sdd ' || BOOTDRIVE || '\OS2\svgadata.pmi > nul'

say "You must reboot for these changes to take effect"
